using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.PF;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("部门人员表")]
    public class T_FM_DEPARTMENT_USER : MesEntityBase
    {
        [Description("部门ID")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_Department", "Nav_DepartmentUser")]
        public Guid? DEPARTMENT_ID { get; set; }

        [Description("导航：部门表")]
        public virtual T_FM_DEPARTMENT Nav_Department { get; set; }
        /// <summary>
        /// 用户表
        /// </summary>
        [FormFieldQuery]
        [FormFieldEdit]
        [FormFieldTable]
        [Description("用户ID")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }

        [Description("导航：用户信息")]
        public virtual T_FM_USER Nav_User { get; set; }
    }
}
